import Flutter
import UIKit

public class SwiftShareSocialMediaPlugin: NSObject, FlutterPlugin {

  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "share_social_media", binaryMessenger: registrar.messenger())
    let instance = SwiftShareSocialMediaPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    if(call.method == "shareLine"){

     if let url = URL(string: "https://social-plugins.line.me/lineit/share?url=https://flutter.dev") {
                UIApplication.shared.open(url, options: [:])
         }

    }
  }
}
